Home

# Class goog.events.OnlineHandler

Basic object for detecting whether the online state changes.

extends goog.events.EventTarget

Instance Method Summary

`disposeInternal()`

Unattach listeners from this object. Classes that extend EventTarget may need to override this method in order to remove references to DOM Elements and additional listeners, it should be something like this:

    MyClass.prototype.disposeInternal = function() {
    MyClass.superClass_.disposeInternal.call(this);
    // Dispose logic for MyClass
    };

| `handleChange_(?goog.events.Event e)` Called when the online state changes. This dispatches the {@code ONLINE} and {@code OFFLINE} events respectively.
| `handleTick_(?goog.events.Event e)` Called every time the timer ticks to see if the state has changed and when the online state changes the method handleChange_ is called.
| `isOnline() ⇒ boolean` Returns whether or not the system is online. This method works properly regardless of whether or not the listener IsListening.